--- Lib/diss.py	2019-08-25 00:49:18.456577561 +0800
+++ Lib/dis.py	2019-08-15 20:55:23.731848440 +0800
@@ -85,32 +85,26 @@
         print opname[op].ljust(20),
         i = i+1
         if op >= HAVE_ARGUMENT:
-            try:
-                oparg = ord(code[i]) + ord(code[i+1])*256 + extended_arg
-            except:
-                pass
+            oparg = ord(code[i]) + ord(code[i+1])*256 + extended_arg
             extended_arg = 0
             i = i+2
             if op == EXTENDED_ARG:
                 extended_arg = oparg*65536L
             print repr(oparg).rjust(5),
-            try:
-                if op in hasconst:
-                    print '(' + repr(co.co_consts[oparg]) + ')',
-                elif op in hasname:
-                    print '(' + co.co_names[oparg] + ')',
-                elif op in hasjrel:
-                    print '(to ' + repr(i + oparg) + ')',
-                elif op in haslocal:
-                    print '(' + co.co_varnames[oparg] + ')',
-                elif op in hascompare:
-                    print '(' + cmp_op[oparg] + ')',
-                elif op in hasfree:
-                    if free is None:
-                        free = co.co_cellvars + co.co_freevars
-                    print '(' + free[oparg] + ')',
-            except:
-                pass
+            if op in hasconst:
+                print '(' + repr(co.co_consts[oparg]) + ')',
+            elif op in hasname:
+                print '(' + co.co_names[oparg] + ')',
+            elif op in hasjrel:
+                print '(to ' + repr(i + oparg) + ')',
+            elif op in haslocal:
+                print '(' + co.co_varnames[oparg] + ')',
+            elif op in hascompare:
+                print '(' + cmp_op[oparg] + ')',
+            elif op in hasfree:
+                if free is None:
+                    free = co.co_cellvars + co.co_freevars
+                print '(' + free[oparg] + ')',
         print
 
 def disassemble_string(code, lasti=-1, varnames=None, names=None,
@@ -128,32 +122,29 @@
         print repr(i).rjust(4),
         print opname[op].ljust(15),
         i = i+1
-        try:
-            if op >= HAVE_ARGUMENT:
-                oparg = ord(code[i]) + ord(code[i+1])*256
-                i = i+2
-                print repr(oparg).rjust(5),
-                if op in hasconst:
-                    if constants:
-                        print '(' + repr(constants[oparg]) + ')',
-                    else:
-                        print '(%d)'%oparg,
-                elif op in hasname:
-                    if names is not None:
-                        print '(' + names[oparg] + ')',
-                    else:
-                        print '(%d)'%oparg,
-                elif op in hasjrel:
-                    print '(to ' + repr(i + oparg) + ')',
-                elif op in haslocal:
-                    if varnames:
-                        print '(' + varnames[oparg] + ')',
-                    else:
-                        print '(%d)' % oparg,
-                elif op in hascompare:
-                    print '(' + cmp_op[oparg] + ')',
-        except:
-            pass
+        if op >= HAVE_ARGUMENT:
+            oparg = ord(code[i]) + ord(code[i+1])*256
+            i = i+2
+            print repr(oparg).rjust(5),
+            if op in hasconst:
+                if constants:
+                    print '(' + repr(constants[oparg]) + ')',
+                else:
+                    print '(%d)'%oparg,
+            elif op in hasname:
+                if names is not None:
+                    print '(' + names[oparg] + ')',
+                else:
+                    print '(%d)'%oparg,
+            elif op in hasjrel:
+                print '(to ' + repr(i + oparg) + ')',
+            elif op in haslocal:
+                if varnames:
+                    print '(' + varnames[oparg] + ')',
+                else:
+                    print '(%d)' % oparg,
+            elif op in hascompare:
+                print '(' + cmp_op[oparg] + ')',
         print
 
 disco = disassemble                     # XXX For backwards compatibility
@@ -172,10 +163,7 @@
         op = ord(c)
         i = i+1
         if op >= HAVE_ARGUMENT:
-            try:
-                oparg = ord(code[i]) + ord(code[i+1])*256
-            except:
-                pass
+            oparg = ord(code[i]) + ord(code[i+1])*256
             i = i+2
             label = -1
             if op in hasjrel:
